---
title: Measure a portion of the page
slug: Tools/Measure_a_portion_of_the_page
tags:
  - Design
  - DevTools
  - Developer
  - Firefox
  - Layout
  - Measure
  - Measuring
  - Measuring Tool
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p>Using the <strong>Measuring Tool</strong> you can measure a specific area of a web page.</p>

<p>This tool is hidden by default. To enable its button:</p>

<ul>
 <li>Go to the DevTools <a href="/en-US/docs/Tools/Settings">Settings</a>.</li>
 <li>From the <em>Available Toolbox Buttons</em> check the <em>Measure a portion of the page</em> checkbox.</li>
</ul>

<p>You will now see the <em>Measure a portion of the page</em> button at the top right of the Toolbox, in the same place as the Settings/Options button.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/15787/measure-button.png" style="display: block; height: 190px; margin: 0px auto; width: 324px;"></p>

<p>When you want to use the tool, click this button. Now when you mouse over the viewport, you'll see the mouse has a crosshair cursor with its current coordinates displayed beside it.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/15786/cursor-shown.png" style="border-style: solid; border-width: 1px; display: block; height: 277px; margin: 0px auto; width: 447px;"></p>

<p>When you hold the mouse button down and then drag, you'll start to draw a rectangle, with its x, y, and diagonal dimensions displayed. The units are in pixels.</p>

<p>When you stop holding the mouse down, the rectangle that was displayed on screen when you released the button will stay there until you click again, allowing you time to take screenshots, note the information down, etc. The rectangle can also be resized later on by clicking one of the handles around it.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/17132/Resizable_measuring_area.png" style="border-style: solid; border-width: 1px; display: block; height: 303px; margin: 0px auto; width: 438px;"></p>
